<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 1.0
 */
?>
<!DOCTYPE html>
<html class="no-js">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">	
<?php endif; ?>
	<link rel="alternate" href="https://<?=$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];?>" hreflang="en-au" />

<link href="<?php echo esc_url( get_template_directory_uri() ); ?>/css/bootstrap.min.css" rel="stylesheet">
<link href="<?php echo esc_url( get_template_directory_uri() ); ?>/style.css" rel="stylesheet">
<!-- <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed" rel="stylesheet"> -->
<link rel="icon" type="image/png" sizes="32x32" href="<?php echo esc_url( get_template_directory_uri() ); ?>/images/favicon-32x32.jpg">
<!-- <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" ></script> -->
<script src="https://script.fixel.ai/script/Fixel.min.js"></script>

<script async defer>
    runFixel('FXL-450-1515',{"ga":true,"fb":true,"display":"Moving-Audience"});
</script>
<?php wp_head(); ?>

<script>
	jQuery(document).ready(function($){

	 $( window ).on( "load", function() {
		 
var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/5bcee603476c2f239ff5997f/default';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
})();
    });
    });
</script>

<?php
$actual_link = "$_SERVER[REQUEST_URI]";
if ($actual_link=="/perth/"){
echo '<script type="application/ld+json">{
   "@context": "http://schema.org",
   "name": "Axel Removals Perth",
   "url": "https://www.axelremovals.com.au/perth/",
      "image": "https://www.axelremovals.com.au/wp-content/themes/new-axel/images/logo.png",
   "description": "If you are looking for the specialized and tailored removal services at the budget price, don&#039;t look further! contact one of the leading and reliable Removalist Company in Australia, known as Axel Removals.",
   "telephone": "+61 401 834 847",
   "priceRange": "AU$",
   "@type": "LocalBusiness",
   "address": {
   "@type": "PostalAddress",
   "addressLocality": "Innaloo WA Perth",
   "postalCode":"6018",
 "addressCountry": "australia",
   "email": "admin@axelremovals.com.au"
   },
     "openingHours": "24 Hours",
     "geo": {
   "@type": "GeoCoordinates",
   "latitude": "-31.902112,",
   "longitude": "115.798775"
     },     
   "sameAs" :["https://www.axelremovals.com.au/perth/","https://www.facebook.com/AxelRemovals/","https://twitter.com/AxelRemovals/","https://www.pinterest.com.au/axelremovals/","https://plus.google.com/u/0/102662259105060761837/"]
  }</script>';	
}
?>
<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-127561300-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-127561300-1');
</script>

<script async src="https://www.googletagmanager.com/gtag/js?id=AW-807753757"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());
  gtag('config', 'AW-807753757');
</script>
<script>
  gtag('config', 'AW-807753757/lgkPCJuAhpYBEJ2wlYED', {
    'phone_conversion_number': '0401 834 847'
  });
</script>
<?php  if(basename(get_permalink()) ==  "thanks"){
	?>
	<script>
  gtag('event', 'conversion', {'send_to': 'AW-807753757/2xsyCIet8JUBEJ2wlYED'});
</script>	
	<?php
}?>
	
</head>
<body>
 
<div class="fixedhdr"  id="myHeader">
    <div class="top-bar">
  <div class="container">
    <div class="col-md-8 col-xs-12 top-text-center"> <span class="location"> With locations nationwide, we're probably in your neighborhood! </span> </div>
    <div class="col-md-4 col-xs-12">
		<div class="number"><span> <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/phone-icon.png" alt=""> </span> <a href="tel:0401834847" style="color: #FFF;">0401 834 847 </a></div>
    </div>
  </div>
</div> 
<div class="container gap-a">
	<div class="col-md-3" style="text-align: center;"><a href="https://www.axelremovals.com.au/"> <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/logo.png" alt="logo" class="logo-style" title="logo"> </a></div>
  <div class="col-md-9 gap-b">
    <nav class="navbar navbar-default">
      <div class="container-fluid"> 
        <div class="navbar-header">
            <span class="getQuote"><a href="#get-a-free-quote">Get A Free Quote</a></span>
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false"> <span class="sr-only">Toggle navigation</span> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
        </div>
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
          <?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' =>   'primary' ) ); ?>
        </div>
      </div>
     </nav>
  </div>
</div>
	</div>